Subject: Re: bug#15775: 24.3.50; "WARNING: terminal is not fully functional" in Comint and Eshell

From: Dmitry Gutov <[email-masked]>
Date: Sat, 4 Jun 2022 20:37:31 +0300

On 02.06.2022 16:07, Lars Ingebrigtsen wrote:
> Lars Ingebrigtsen<[email-masked]>  writes:
> 
>> This change makes "git grep" work as a grep command with `M-x grep' (if
>> you remove --null).  It's shouldn't have a negative impact on much
>> anything else (because no pagers should be used anywhere here), but
>> perhaps it should be done in grep.el instead of compile.el...
>>
>> Anybody got any comments?
> [...]
> 
>> +              ;; Some external programs (like "git grep") use a pager;
>> +              ;; defeat that.
>> +              (list "PAGER=")
> Nobody had any comments, and it doesn't seem likely that this will
> regress anything, so I've now pushed this to Emacs 29.

Hi Lars,

Back when I filed bug#15775, Glenn merged it with bug#4359.

Looks like you are fixing only the latter bug here.

The package I mentioned in the original report, inf-ruby, derives from 
comint-mode.

It doesn't derive from compilation-mode, so the pushed change can't 
affect it or fix the problem there.

N.B.: Even a decade later, I still have

   (setenv "PAGER" (executable-find "cat"))

in my init script.